#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
import sys
import getopt

scriptdir = os.path.dirname(os.path.abspath(__file__))

# import our libraries
package_dir = os.path.join(scriptdir, '../../../')
path = list(sys.path)
sys.path.insert(0, package_dir)

#from libraries.reporting.messenger import AuraMessenger
from libraries.base.config import ConfigReader
from modules.communication.zmq.adapter import ClientZMQAdapter

def main(argv):
    #m = AuraMessenger()
    task = ''
    channel = ''
    name= ''
    value = ''
    time = ''

    config = ConfigReader()
    config.loadConfig()
    zmqclient = ClientZMQAdapter(config.get('zmqhostip'), config.get('zmqport'))

    try:
        opts, args = getopt.getopt(argv,"c:t:n:v:t",["channel=","task=", "name=","value=","time="])
    except getopt.GetoptError:
        print('message.py -c <channel> -t <task> [-n <name> -v <value> [-t <time>]]')
        sys.exit(2)
    for opt, arg in opts:
        if opt == '-h':
            print('message.py -c <channel> -t <task>')
            sys.exit()
        elif opt in ("-c", "--channel"):
            channel = arg
        elif opt in ("-t", "--task"):
            task = arg
        elif opt in ("-n", "--name"):
            name = arg
        elif opt in ("-v", "--value"):
            value = arg
        elif opt in ("-t", "--time"):
            eventtime = arg


    #m.setChannel(channel)
    if task == 'setEvent':
        #setEvent(self, name, eventtime, value)
        #opts, args = getopt.getopt(argv,"c:t:",["channel=","task="])
        pass
    elif task == 'setState':
        if name == '':
            sys.exit(2)
        zmqclient.send("startup")
    #    m.setState(name, value)
    elif task == 'liquid_startup':
        zmqclient.send(task, False)
    else:
        print(task)
        #zmqclient.send(task)
    #    m.sayAlive()

if __name__ == "__main__":
    main(sys.argv[1:])
    sys.path[:] = path